// 倒库作业
<template>
  <div class="sale">
    <div class="top">
      <!-- 框计算 -->
      <span class="text">卸货时间：</span>
      <el-date-picker
        v-model="startTime"
        type="datetime"
        placeholder="选择日期"
      >
      </el-date-picker>
      <span class="text">至</span>
      <el-date-picker v-model="endTime" type="datetime" placeholder="选择日期">
      </el-date-picker>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <!-- excel导出 -->
      <el-button type="primary" @click="exportData()">
        <i class="el-icon-download"></i>导出(Excel)
      </el-button>
    </div>
    <div class="tab">
      <dilTable v-bind.sync="option" ref="excelDom" max-height="300">
        <!-- <el-table-column fixed="right" label="操作" width="180">
          <template slot-scope="scope">
            <div class="step">
              <el-button
                @click="detailclick1(scope.row)"
                type="text"
                size="small"
                >运输详情</el-button
              >
            </div>
          </template>
        </el-table-column> -->
      </dilTable>
    </div>
  </div>
</template>
<script>
import { getCookie } from "@/utils/util.js";
import { sjTime } from "@/utils/sharedJsFile";
export default {
  data() {
    return {
      inputText: "",
      option: {
        // 表格请求数据的地址
        requestUrl: ""
      },
      startTime: null,
      endTime: null,
      drawer: false,
      direction: "rtl",
      tableTitle: "倒库统计"
    };
  },
  created() {
    if (
      getCookie("orgCode") == "dagangadmin" ||
      getCookie("orgCode") == "zidonghuabu" ||
      getCookie("orgCode") == "wuliuchuyunzhongxin"
    ) {
      this.option.requestUrl = "/api/v1/tms/getAllReverseResult?apiId=516";
    } else {
      this.option.requestUrl =
        "/api/v1/tms/getAllReverseResult?apiId=516&userId=" +
        getCookie("orgCode");
    }
  },
  methods: {
    onclick() {
      let startTime = null;
      let endTime = null;
      if (this.startTime) {
        startTime = sjTime(this.startTime);
      }
      if (this.endTime) {
        endTime = sjTime(this.endTime);
      }
      if (startTime && endTime) {
        if (startTime < endTime) {
          console.log(startTime);
          console.log(endTime);
          if (
            getCookie("orgCode") == "dagangadmin" ||
            getCookie("orgCode") == "zidonghuabu" ||
            getCookie("orgCode") == "wuliuchuyunzhongxin"
          ) {
            this.option.requestUrl =
              "/api/v1/tms/getAllReverseResult?apiId=516&startTime=" +
              startTime +
              "&endTime=" +
              endTime +
              "&i=" +
              new Date();
          } else {
            this.option.requestUrl =
              "/api/v1/tms/getAllReverseResult?apiId=516&userId=" +
              getCookie("orgCode") +
              "&startTime=" +
              startTime +
              "&endTime=" +
              endTime +
              "&i=" +
              new Date();
          }
        } else {
          this.startTime = null;
          this.endTime = null;
          this.$message.warning("开始时间要比结束时间早");
        }
      } else {
      }
    }
  }
};
</script>
<style lang="scss">
.sale {
  .top {
    padding: 1.25rem 1.875rem;
    .el-input {
      width: 20%;
    }
  }
}
.el-table th.el-table__cell > .cell {
  display: inline-block;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  position: relative;
  vertical-align: middle;
  padding-left: 10px;
  padding-right: 10px;
  width: 100%;
  text-align: center;
}
.step {
  text-align: center;
}
</style>
